Page MenuHomeFreeBSD

multimedia/vlc: Turn off ASLR
ClosedPublic

Authored by jrm on Mar 8 2023, 8:40 PM.
Tags
None
Referenced Files
Unknown Object (File)
Tue, Jun 4, 11:10 AM
Unknown Object (File)
Apr 25 2024, 10:06 PM
Unknown Object (File)
Apr 19 2024, 11:35 AM
Unknown Object (File)
Apr 19 2024, 11:35 AM
Unknown Object (File)
Apr 19 2024, 11:35 AM
Unknown Object (File)
Apr 19 2024, 11:35 AM
Unknown Object (File)
Apr 16 2024, 5:38 AM
Unknown Object (File)
Apr 6 2024, 1:53 AM
Subscribers

Details

Summary

Starting with 13.2, elf processes will have ASLR turned on by default.
However, the vlc binary core dumps with ASLR on, so turn it off until a
proper fix can be found.

This fix is based on a discussion between Ed Maste and Peter
<pmc@citylink.dinoex.sub.org>.

See also: https://lists.freebsd.org/archives/freebsd-stable/2023-March/001181.html
PR: 270038

Test Plan

poudriere testport 14 amd64 success; 12.4 and 13.1 i386/amd64 tests running now

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

jrm requested review of this revision.Mar 8 2023, 8:40 PM

LGTM

I see there are a number of other vlc binaries in the pkg-plist (rvlc, nvlc, qvlc, svlc, cvlc), I wonder if they need the same treatment?

This revision is now accepted and ready to land.Mar 9 2023, 4:27 AM

LGTM

I see there are a number of other vlc binaries in the pkg-plist (rvlc, nvlc, qvlc, svlc, cvlc), I wonder if they need the same treatment?

Those are just

LGTM

I see there are a number of other vlc binaries in the pkg-plist (rvlc, nvlc, qvlc, svlc, cvlc), I wonder if they need the same treatment?

The other executables installed (with default options) are wrappers around the vlc binary.

jrm@phe ~ % ls /usr/local/bin/*vlc
/usr/local/bin/cvlc /usr/local/bin/qvlc /usr/local/bin/rvlc /usr/local/bin/vlc
jrm@phe ~ % cat /usr/local/bin/{c,q,r}vlc
#! /bin/sh
exec /usr/local/bin/vlc -I "dummy" "$@"
#! /bin/sh
exec /usr/local/bin/vlc -I "qt" "$@"
#! /bin/sh
exec /usr/local/bin/vlc -I "rc" "$@"
mjg added inline comments.
multimedia/vlc/Makefile
34

i think would be good to add a comment why noaslr

Add a comment that refers to the PR.

This revision now requires review to proceed.Mar 9 2023, 3:08 PM
jrm marked an inline comment as done.Mar 9 2023, 3:09 PM

The other two executables are also wrappers.

% cat /usr/local/bin/{n,s}vlc
#! /bin/sh
exec /usr/local/bin/vlc -I "ncurses" "$@"
#! /bin/sh
exec /usr/local/bin/vlc -I "skins2" "$@"

lgtm, but emaste should to the final stamp

thanks

This revision is now accepted and ready to land.Mar 9 2023, 3:16 PM
This revision was automatically updated to reflect the committed changes.